building docbook-utils for ArchLinux

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

building docbook-utils for ArchLinux

Andreas Wagner-8
Hello,

I am trying to get the docbook-utils PKGBUILD working for the Arch
User Repository.

I am starting with the PKGBUILDs here:
http://bbs.archlinux.org/viewtopic.php?id=29146

The full list of errors are on that page. Here's the part most likely
indicating the cause of the rest:

make[2]: Entering directory
`/home/suat/Abs/Lapis/denemeler/docbook-sgml-utils/src/docbook-utils-0.6.14/doc/HTML'
SGML_CATALOG_FILES=/etc/sgml/catalog
        SGML_SEARCH_PATH=../..:../../doc:..
                jade -t sgml -i html -d ../../docbook-utils.dsl#html
                        -V '%use-id-as-filename%' ../../doc/docbook-utils.sgml
jade:../../doc/docbook-utils.sgml:1:55:W: cannot generate system
identifier for public text "-//OASIS//DTD DocBook V3.1//EN"
jade:../../doc/docbook-utils.sgml:9:0:E: reference to entity "BOOK"
for which no system identifier could be generated
jade:../../doc/docbook-utils.sgml:1:0: entity was defined here

I think this is due to using the older doctype. I think this would be
fixed by installing doctype sgml dtd 3.1, but I would rather not add a
legacy package to the Arch repository just for this. Am I correct
about the error? If so will this be updated docbook-utils.sgml be
updated to the newer version soon?

Thanks,
Andreas
Reply | Threaded
Open this post in threaded view
|

Re: building docbook-utils for ArchLinux

ebischoff (Bugzilla)

Le 5 mai 10 à 02:34, Andreas Wagner a écrit :

> Hello,
>
> I am trying to get the docbook-utils PKGBUILD working for the Arch
> User Repository.
>
> I am starting with the PKGBUILDs here:
> http://bbs.archlinux.org/viewtopic.php?id=29146
>
> The full list of errors are on that page. Here's the part most likely
> indicating the cause of the rest:
>
> make[2]: Entering directory
> `/home/suat/Abs/Lapis/denemeler/docbook-sgml-utils/src/docbook-
> utils-0.6.14/doc/HTML'
> SGML_CATALOG_FILES=/etc/sgml/catalog
>        SGML_SEARCH_PATH=../..:../../doc:..
>                jade -t sgml -i html -d ../../docbook-utils.dsl#html
>                        -V '%use-id-as-filename%' ../../doc/docbook-
> utils.sgml
> jade:../../doc/docbook-utils.sgml:1:55:W: cannot generate system
> identifier for public text "-//OASIS//DTD DocBook V3.1//EN"
> jade:../../doc/docbook-utils.sgml:9:0:E: reference to entity "BOOK"
> for which no system identifier could be generated
> jade:../../doc/docbook-utils.sgml:1:0: entity was defined here
>
> I think this is due to using the older doctype. I think this would be
> fixed by installing doctype sgml dtd 3.1, but I would rather not add a
> legacy package to the Arch repository just for this. Am I correct
> about the error? If so will this be updated docbook-utils.sgml be
> updated to the newer version soon?

Yes, you are right. It should use more recent DTDs.

I don't know who maintains the package currently though.

Feel free to take it if no one does, it's open source, after all.


Éric Bischoff
[hidden email]